Bug 275851 - Review Request: pyzzub - Python Bindings For libzzub
Review Request: pyzzub - Python Bindings For libzzub
Status: CLOSED DUPLICATE of bug 275831
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 275831
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 05:21 EDT by Alexander Kahl
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 05:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-09-04 05:21:31 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/pyzzub.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/pyzzub-0.8-1.fc7.src.rpm
Description: These are the Python bindings For libzzub, allowing you to use it from within Python scripts.

--

I'm still searching for a sponsor.

This package is needed to make libzzub work with aldrin.
Comment 2 Mamoru TASAKA 2007-09-14 06:26:18 EDT
(Removing NEEDSPONSOR)
Comment 3 Mamoru TASAKA 2007-09-14 11:21:33 EDT
For 0.8-2:

- First of all, please check:
  http://fedoraproject.org/wiki/Packaging/Python
  for general information of spec file for python modules.

  You can try
  - install rpmdevtools
  - try "$ rpmdev-newspec -t python foo"
    to get skeleton spec file for python modules.

Then:
* Please write full source URL
* Does not build.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=158842
  python-devel is missing from BuildRequires
  (python skeleton spec file contains this)
* "Requires: python >= 2.5" is automatically checked by rpmbuild
   dependency check and is not needed
* We recommend "%defattr(-,root,root,-)"
* And fix up %files entry.
Comment 4 Mamoru TASAKA 2007-09-14 11:30:34 EDT
By the way
- This package does not contain any license text and
  some source files have no license term.

  Would you ask upstream about license clarification?
Comment 5 Alexander Kahl 2007-09-17 05:10:41 EDT
As libzzub is in Bodhi for testing now, I'm going to take care of all the issues
mentioned. I've generated the pyzzub bindings from libzzub as described in
http://doc.zeitherrschaft.org/zzub/html/x113.html

Thus, in my understanding pyzzub inherits libzzub's license as it is co-packaged
and all files without license texts have been generated.
The file library.py provided is GPLv2+.

Please tell me if you still think we need clarification from upstream.
Comment 6 Mamoru TASAKA 2007-09-17 05:34:19 EDT
(In reply to comment #5)

> I've generated the pyzzub bindings from libzzub as described in
> http://doc.zeitherrschaft.org/zzub/html/x113.html

Ah, now I understand the situation. So, pyzzub is in the libzzub
tarball.
In this case, pyzzub must be created as a subpackage of libzzub.
As far as I googled pyzzub, About versioning: Other distribution 
marks the version of pyzzub as the same one of libzzub.

So now I mark this bug a duplicate of libzzub. Please rewrite
libzzub spec file and create pyzzub rpm as a subpackage of
libzzub.

*** This bug has been marked as a duplicate of 275831 ***

Note You need to log in before you can comment on or make changes to this bug.